Bug 1050825 - codeblocks bundles astyle
codeblocks bundles astyle
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: codeblocks (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
: Reopened
Depends On: 1054422
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-01-09 02:16 EST by Rahul Sundaram
Modified: 2014-04-12 07:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: codeblocks-13.12-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1054422 (view as bug list)
Environment:
Last Closed: 2014-04-12 07:37:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
starting point for building astyle shared library (594 bytes, patch)
2014-01-16 13:35 EST, Dominik 'Rathann' Mierzejewski
no flags Details | Diff

  None (edit)
Description Rahul Sundaram 2014-01-09 02:16:07 EST
Description of problem:

astyle is available as a separate package in Fedora but Code::Blocks appears to bundle its own copy.  please unbundle and depend on the astyle package instead.
Comment 1 Dan Horák 2014-01-09 04:15:45 EST
While the bundled astyle code is likely even not forked, there is no standlone astyle library that could be used for C::B.
Comment 2 Rahul Sundaram 2014-01-09 04:22:58 EST
I am not sure about the veracity of that assertion given that there is a standalone astyle package in Fedora but in any case, if you need an exception to the fedora packaging guidelines, you need to file a ticket with FPC.  I have done so now

https://fedorahosted.org/fpc/ticket/380
Comment 3 Dominik 'Rathann' Mierzejewski 2014-01-16 13:32:57 EST
(In reply to Dan Horák from comment #1)
> While the bundled astyle code is likely even not forked, there is no
> standlone astyle library that could be used for C::B.

I'm sorry, but this is simply wrong. astyle upstream explicitly supports building a shared library, so it's a bug in astyle package that it doesn't provide it.

http://astyle.sourceforge.net/install.html#_GCC_Compiler

Please open a bug against astyle and block on it instead of closing.
Comment 4 Dominik 'Rathann' Mierzejewski 2014-01-16 13:35:17 EST
Created attachment 851219 [details]
starting point for building astyle shared library

Here's a proof-of-concept patch against current rawhide astyle.spec. The shared library needs to have its SONAME set before being consumable properly, but that's an issue for astyle upstream.

Note You need to log in before you can comment on or make changes to this bug.